<?php
ini_set('memory_limit', '-1');
class BuscarcitasC extends CI_Controller
{
	
	function __construct()
	{
		parent::__construct();
		
		$this->load->model('agenda/cosmetologo/agendaC_model');
		$this->load->library(array('session','form_validation'));
	}

	public function index()
	{
		if($this->session->userdata('Rol_IdRol')==FALSE || 
			$this->session->userdata('Rol_IdRol') == '1'|| 
			$this->session->userdata('Rol_IdRol') == '3')
		{
			redirect(base_url().'acceso/acceso');
		} else {

			$data['Franquicias']=$this->agendaC_model->BuscarFranquicia(); 
		 	foreach ($data['Franquicias'] as $i => $Franquicias) 
			$this->db->select('*');
			$this->db->join('franquicias','Franquicias_IdFranquicias=IdFranquicias','inner');
			$this->db->where('Franquicias_IdFranquicias',$i);
			$data['consulta']=$this->db->get('agenda')->result();

		$this->load->view('layout/headerFran');
		$this->load->view('layout/menuFranquicia');
		$dato['ReCabina']=$this->agendaC_model->BuscarCabina();
		$this->load->view('agenda/franquiciatario/buscarporcabinaF_view', $data);
		$this->load->view('layout/footer');
		}
	}

	public function buscarporcabina(){ 
		$idCabina = $this->input->post('codecabina');
		$r = $this->agendaC_model->buscarporcabina($idCabina);
		$response = $this->depurarinfo($r);

		echo json_encode($response);
	}


	public function depurarinfo($r){
		$coloresCabina= array(
		             "FACIAL"  =>  '#37579D',
		            "FACIAL 2"  =>  '#D8907C',
		             "CORPORAL"  =>  '#C0473E',
		            "CORPORAL 2"  =>  '#BE304A',
		            "RELAJANTES/MASAJES"  =>  '#47A3A0',
		            "CAVITACION"  =>  '#DFA130',
		            "IPL/E-LIGHT"  =>  '#76B9E5',
		            "PESTAÑAS"  =>  '#1E7999',
		            "SAUNA"  =>  '#EAC595',
		            "SAUNA 2" =>  '#4C418E',
		            "ADICIONAL" =>  '#902456',
		            "CAPSULA INFRAROJA" =>  '#BD2367',
		            "UÑAS 1" =>  '#A71929',
		             "UÑAS 2" =>  '#7890C4',
		            "UÑAS 3" =>  '#9DAB2D',

		        );
		
		foreach ($r as $item) 
		{ 
		        $datosProcesados[] = array(
		            "start"      =>  $item->start."T". $item->hoi,
		            "end"        =>  $item->start."T". $item->hof,
		            "id"         =>  $item->id,
		            "title" 	 =>  $item->clientes,
		            "cabina"     =>  $item->cabina,
		            "clientes"   =>  $item->clientes,
		            "categoria"  =>  $item->categoria,
		            "promociones"=>  $item->promociones,
		            "servicio"   =>  $item->servicio,
		            "hoi"      =>  $item->hoi,
		            "hof"      =>  $item->hof,
		            "est"      =>  $item->est,
		            "obs"      =>  $item->obs,
		            "usu"      =>  $item->usu,
		            "fecha"    =>  $item->fecha,
		            "nombreCabina"    =>  $item->NombreCabina,
		            "color"    =>  $coloresCabina[(String)$item->NombreCabina]

		        );
		}
		return $datosProcesados;
	}

	public function buscarporcliente (){ 
		$cliente = $this->input->post('name');
		$r = $this->agendaC_model->BuscarPorNombreCliente($cliente);
		$response = $this->depurarinfo($r);
		echo json_encode($response);
	}



}